# MSP::CCS::ObliqueMercator Class Reference

`#include <ObliqueMercator.h>`

Inheritance diagram for MSP::CCS::ObliqueMercator:

List of all members.

## Public Member Functions

| ObliqueMercator (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double originLatitude, double longitude1, double latitude1, double longitude2, double latitude2, double falseEasting, double falseNorthing, double scaleFactor)
| ObliqueMercator (const ObliqueMercator &om)
| ~ObliqueMercator (void)
ObliqueMercator & | operator= (const ObliqueMercator &om)
ObliqueMercatorParameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 111 of file ObliqueMercator.h.

## Constructor & Destructor Documentation

ObliqueMercator::ObliqueMercator | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | originLatitude,
|  | double | longitude1,
|  | double | latitude1,
|  | double | longitude2,
|  | double | latitude2,
|  | double | falseEasting,
|  | double | falseNorthing,
|  | double | scaleFactor |
| ) |  |  |

Definition at line 137 of file ObliqueMercator.cpp.

ObliqueMercator::ObliqueMercator | ( | const ObliqueMercator & | om | ) |

Definition at line 339 of file ObliqueMercator.cpp.

ObliqueMercator::~ObliqueMercator | ( | void |  | ) |

Definition at line 371 of file ObliqueMercator.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * ObliqueMercator::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 444 of file ObliqueMercator.cpp.

MSP::CCS::GeodeticCoordinates * ObliqueMercator::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 542 of file ObliqueMercator.cpp.

ObliqueMercatorParameters * ObliqueMercator::getParameters | ( |  | ) | const

Definition at line 413 of file ObliqueMercator.cpp.

ObliqueMercator & ObliqueMercator::operator= | ( | const ObliqueMercator & | om | ) |

Definition at line 376 of file ObliqueMercator.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/omerc/ObliqueMercator.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/omerc/ObliqueMercator.cpp